GMX-DUMP(1)

NAME
gmx-dump - Make binary files human readable

SYNOPSIS

gmx dump [-s [<.tpr>]] [-f [<.xtc/.trr/...>]] [-e [<.edr>]]
         [-cp [<.cpt>]] [-p [<.top>]] [-mtx [<.mtx>]] [-om [<.mdp>]]
         [-[no]nr] [-[no]param] [-[no]sys] [-[no]orgir]

DESCRIPTION

gmx dump reads a run input file (.tpr), a trajectory (.trr/.xtc//tng), an energy file (.edr) or a checkpoint file (.cpt) and prints that to standard output in a readable format. This program is essential for checking your run input file in case of problems.

The program can also preprocess a topology to help finding problems. Note that currently setting GMXLIB is the only way to customize directories used for searching include files.

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr) (Optional)
    Portable xdr run input file

-f [<.xtc/.trr/…>] (traj.xtc) (Optional)
    Trajectory: xtc trr cpt gro g96 pdb tng

-e [<.edr>] (ener.edr) (Optional)
    Energy file

-cp [<.cpt>] (state.cpt) (Optional)
    Checkpoint file

-p [<.top>] (topol.top) (Optional)
    Topology file

-mtx [<.mtx>] (hessian.mtx) (Optional)
    Hessian matrix

    Options to specify output files:

-om [<.mdp>] (grompp.mdp) (Optional)
    grompp input file with MD parameters

    Other options:

-[no]nr (yes)
    Show index numbers in output (leaving them out makes comparison easier, but creates a useless topology)

-[no]param (no)
    Show parameters for each bonded interaction (for comparing dumps, it is useful to combine this with -nonr)

-[no]sys (no)
    List the atoms and bonded interactions for the whole system instead of for each molecule type

-[no]orgir (no)
    Show input parameters from tpr as they were written by the version that produced the file, instead of how the current version reads them

KNOWN ISSUES

•   Position restraint output from -sys -s is broken

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team